Bug 197090 - [NEW PORT] x11-fonts/symbola: Unicode 7.0 font
Summary: [NEW PORT] x11-fonts/symbola: Unicode 7.0 font
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2015-01-26 13:26 UTC by Elizabeth Myers
Modified: 2015-02-02 22:11 UTC (History)
1 user (show)

See Also:


Attachments
port shar file (2.61 KB, text/plain)
2015-01-26 13:26 UTC, Elizabeth Myers
no flags Details
port shar file - second try (3.10 KB, text/plain)
2015-01-26 21:30 UTC, Elizabeth Myers
no flags Details
shar after some fixes (3.09 KB, text/plain)
2015-02-01 16:48 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elizabeth Myers 2015-01-26 13:26:11 UTC
Created attachment 152172 [details]
port shar file

This port includes the Symbola font, which has many Unicode 7.0 characters, including symbols.
Comment 1 Elizabeth Myers 2015-01-26 21:30:37 UTC
Created attachment 152205 [details]
port shar file - second try

Fixed up license sutff
Comment 2 Jan Beich (away from May 25 to June 11) freebsd_committer 2015-02-01 13:26:00 UTC
Comment on attachment 152205 [details]
port shar file - second try

Except maybe DOCS warning see

$ portlint -AC
WARN: Makefile: use ".if ${PORT_OPTIONS:MDOCS}" to wrap installation of files into /usr/local/share/doc.
WARN: Makefile: new ports should not set PORTREVISION.
FATAL: Makefile: LICENSE_GROUPS appears out-of-order.
FATAL: Makefile: order must be LICENSE/LICENSE_COMB/LICENSE_GROUPS(_\w+)?/LICENSE_NAME(_\w+)?/LICENSE_TEXT(_\w+)?/LICENSE_FILE(_\w+)?/LICENSE_PERMS(_\w+)?/LICENSE_DISTFILES(_\w+)?.
WARN: pkg-message: possible use of absolute pathname "/usr/local/lib/X11/f...".
WARN: pkg-message: possible use of absolute pathname "/usr/local/lib/X11/f...".
WARN: pkg-message: possible direct use of "You'll have to add /usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
WARN: pkg-message: possible direct use of "$ xset fp+ /usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
2 fatal errors and 7 warnings found.

>XBUILD_DEPENDS=	fc-cache:${PORTSDIR}/x11-fonts/fontconfig
>XRUN_DEPENDS:=	${BUILD_DEPENDS}

Unused unless you add either @fc or @fcfontsdir into pkg-plist. Also, the keywords are allowed to fail if fontconfig isn't installed in which case the cache would be populated upon first use and end up under ~/.cache/fontconfig instead of /var/db/fontconfig.

BUILD_DEPENDS is redundant because @fc* only call fc-cache(1) as part of package install/deinstall, see /usr/ports/Keywords/fc.ucl.

> XPLIST_SUB=	FONTSDIR="${FONTSDIR:S|${PREFIX}/||}"
> X
> XFONTSDIR?=	lib/X11/fonts/${PORTNAME}

Kinda pointless :S substitution if FONTSDIR isn't an absolute path.

> sed 's/^X//' >symbola/files/COPYING << 'e8f08a458d20d959cd4feed0723cfae6'
> XFonts and documents in this site are not pieces of property or merchandise
> Xitems; they carry no trademark, copyright, license or other market tags; they
> Xare offered free for any use.

Why not move into LICENSE_TEXT?

>sed 's/^X//' >symbola/pkg-message << 'e7eea0cdf9548a0aab4e9fc82e28f42c'
>XYou'll have to add /usr/local/lib/X11/fonts/symbola to your X font path by
>Xeither:
>X
>X$ xset fp+ /usr/local/lib/X11/fonts/symbola
>X$ xset fp rehash
>X
>Xor by adding it to your X server configuration file and restarting the X
>Xserver.

XFLDs are only necessary for legacy X11 apps or *.pcf fonts. To generate the entries for *.ttf or *.otf fonts you need to add either @fontsdir or @fcfontsdir into pkg-plist and depend on both mkfontdir and mkfontscale.
Comment 3 Jan Beich (away from May 25 to June 11) freebsd_committer 2015-02-01 13:38:36 UTC
s/XFLD/XLFD/ for X Logical Font Description. It was popular before fontconfig and anti-aliased fonts took over.
Comment 4 Kurt Jaeger freebsd_committer 2015-02-01 15:27:51 UTC
testing@work, after I fixed a bit of the Makefile.
Comment 5 Kurt Jaeger freebsd_committer 2015-02-01 16:48:39 UTC
Created attachment 152439 [details]
shar after some fixes

please have a look at the modified shar
Comment 6 Kurt Jaeger freebsd_committer 2015-02-01 16:49:10 UTC
Jan, can you have a look at the modified shar ?
Comment 8 Jan Beich (away from May 25 to June 11) freebsd_committer 2015-02-01 18:13:26 UTC
Comment on attachment 152439 [details]
shar after some fixes

You've only addressed portlint(1) output. What about the other review points in comment 2?

>sed 's/^X//' >symbola/pkg-message << 'e7eea0cdf9548a0aab4e9fc82e28f42c'
>XYou'll have to add ${LOCALBASE}/lib/X11/fonts/symbola to your X font path by
>Xeither:
>X
>X$ xset fp+ ${LOCALBASE}/lib/X11/fonts/symbola
>X$ xset fp rehash
>X
>Xor by adding it to your X server configuration file and restarting the X

LOCALBASE isn't a default environment variable. What portlint(1) fails
to convey is the file should be added to SUB_LIST before replacing
paths with %%VARIABLES%%.

And try following the above instruction. The command would fail due to
lack of fonts.dir which is generated by either @fontsdir or @fcfontsdir.

$ xset fp+ /usr/local/lib/X11/fonts/symbola
xset:  bad font path element (#1), possible causes are:
    Directory does not exist or has wrong permissions
    Directory missing fonts.dir
    Incorrect font server address or syntax
zsh: exit 255

(In reply to Kurt Jaeger from comment #7)
> http://people.freebsd.org/~pi/logs/x11-fonts__symbola-10x-1422804631.txt
> http://people.freebsd.org/~pi/logs/x11-fonts__symbola-93a-1422804631.txt
> http://people.freebsd.org/~pi/logs/x11-fonts__symbola-84i-1422804631.txt

I'm getting "404 Not Found" instead of the logs' contents.
Comment 9 Jan Beich (away from May 25 to June 11) freebsd_committer 2015-02-01 19:11:47 UTC
s/SUB_LIST/SUB_FILES/ and back to Kurt.

Alternatively, you can try following x11-fonts/vollkorn-ttf example by nuking somewhat misleading pkg-message and *_DEPENDS.
Comment 10 commit-hook freebsd_committer 2015-02-02 22:07:36 UTC
A commit references this bug:

Author: pi
Date: Mon Feb  2 22:06:57 UTC 2015
New revision: 378329
URL: https://svnweb.freebsd.org/changeset/ports/378329

Log:
  New port: x11-fonts/symbola

  A font containing Basic Latin, Greek, Cyrillic and many Symbol blocks of
  The Unicode Standard, Version 7.0

  WWW: http://users.teilar.gr/~g1951d/

  PR:		197090
  Submitted by:	Elizabeth Myers <elizabeth@Interlinked.me>
  Reviewed by:	jbeich

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/symbola/
  head/x11-fonts/symbola/Makefile
  head/x11-fonts/symbola/distinfo
  head/x11-fonts/symbola/files/
  head/x11-fonts/symbola/files/COPYING
  head/x11-fonts/symbola/pkg-descr
  head/x11-fonts/symbola/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2015-02-02 22:11:35 UTC
Thanks, the tipp with x11-fonts/vollkorn-ttf was very helpful.

I failed to copy the first set of poudriere builds, but here are the new ones:

http://people.freebsd.org/~pi/logs/x11-fonts__symbola-10x-1422913801.txt
http://people.freebsd.org/~pi/logs/x11-fonts__symbola-93a-1422913801.txt
http://people.freebsd.org/~pi/logs/x11-fonts__symbola-84i-1422913801.txt

Committed, thanks to jbeich for the review and Elizabeth for the port.